Post Reply 
 
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
kwin crashes when right-clicking "recent apps"
10-17-2018, 08:52 AM (This post was last modified: 10-17-2018 11:02 AM by balyeti.)
Post: #1
kwin crashes when right-clicking "recent apps"
Hello,

I am running neptune-provided packages of Plasma LTS on top of debian stretch (MX17.1, actually). All works great but i have noticed the shell (kwin?) crashes if i right-click on the recent applications (or documents) menu entries.

Typically on 1st right-click no contextual menu appears as it should, and on 2nd click the shell crashes. It may or may not recover. When it does not, typing Alt-F2 "kwin_x11 --replace" fixes it but still this shouldn't happen.

I have the latest packages installed, kinfocenter reports plasma 5.12.7 and frameworks 5.46.0, Qt 5.7.1

I am using the "classic" Application Menu and have noticed this issue since quite a while but successive updates have not fixed it.
Find all posts by this user
Quote this message in a reply
10-17-2018, 10:49 PM
Post: #2
RE: kwin crashes when right-clicking "recent apps"
I cannot reproduce this issue on Neptune with Excalibur or the classic app menu.
It might be some version mismatch coming from your MX17.1 base. Though it is hard to tell what is responsible for this.
Is it using the vanilla Qt 5.7 packages?
Have you tried maybe a new user just to be sure it isn't a configuration or caching issue?
Visit this user's website Find all posts by this user
Quote this message in a reply
10-17-2018, 11:05 PM
Post: #3
RE: kwin crashes when right-clicking "recent apps"
Thanks for looking into this. A new user/profile exhibits the same problem. And I also have another partition with plain stetch debian where i replaced KDE 5.8 with neptune's packages for 5.12, and it also has the same problem. AFAICT i have vanilla QT 5.7.1. No big deal.
Find all posts by this user
Quote this message in a reply
10-18-2018, 09:24 AM
Post: #4
RE: kwin crashes when right-clicking "recent apps"
Then it must be some other library not being used from our repository.
Also be aware that we build now against stretch-backports and give it priority in Neptune so updates to it will automatically land for our users.
So maybe its one of those library updates in there that will fix it for you.
Visit this user's website Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)